const path = require('path');
const webpack = require('webpack');
const ForceCaseSensitivityPlugin = require('case-sensitive-paths-webpack-plugin');

const config = require('./webpack.config.base');

config.devtool = 'source-map';

config.entry = {
    app: [
        'eventsource-polyfill',
        path.join(process.cwd(), 'src/client/src/app.js'),
        'webpack-hot-middleware/client?path=/__webpack_hmr&timeout=20000',
    ],
    vendors: [ ],
};

config.output = {
    path: path.join(process.cwd(), 'src/staticServices/resources'),
    filename: 'app.js',
    publicPath: '/resources/',
};

config.plugins.push(
    new webpack.optimize.OccurrenceOrderPlugin(),
    new webpack.HotModuleReplacementPlugin(),
    new webpack.NoEmitOnErrorsPlugin(),
    new ForceCaseSensitivityPlugin(),
);

module.exports = config;
