const path = require('path');
const webpack = require('webpack');

const NODE_ENV = process.env.NODE_ENV;

const config = require('./webpack.config.base');

config.devtool = 'source-map';

config.entry = {
    app: path.join(process.cwd(), 'src/client/src/app.js'),
    vendors: [ ],
};

config.output = {
    path: path.join(process.cwd(), 'src/staticServices/resources'),
    filename: 'app.js',
    publicPath: '/resources/',
};

config.plugins.push(
    new webpack.optimize.UglifyJsPlugin({
        compress: {
            warnings: false,
        },
        output: {
            comments: false, // remove all comments
        },
        sourceMap: true,
    }),
);

module.exports = config;
